Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package plugins
  Definition Classes
    nsc
- MissingPluginException
- Plugin
- PluginComponent
- PluginDescription
- PluginLoadException
- Plugins

o

scala.tools.nsc.plugins

# Plugin

###
Companion class Plugin

#### object Plugin

...

Source
  Plugin.scala
Version

  1.0, 2007-5-21

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Plugin
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type AnyClass = Class[_]

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def instantiate(clazz: AnyClass, global: Global): Plugin

    Instantiate a plugin class, given the class and the compiler it is to be used in.

12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def load(classname: String, loader: ClassLoader): Try[AnyClass]

    Use a class loader to load the plugin class.

14.  def loadAllFrom(paths: List[List[Path]], dirs: List[Path], ignoring: List[String], findPluginClassloader: (Seq[Path]) => ClassLoader): List[Try[AnyClass]]

    Load all plugins specified by the arguments.

    Load all plugins specified by the arguments. Each location of `paths` must be a valid plugin archive or exploded archive. Each of `paths` must define one plugin. Each of `dirs` may be a directory containing arbitrary plugin archives. Skips all plugins named in `ignoring`. A classloader is created to load each plugin.

15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped